Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Class StaleStateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.StaleStateException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  StaleObjectStateException

    public class StaleStateException

extends HibernateException

Thrown when a version number or timestamp check failed, indicating that the `Session` contained stale data (when using long transactions with versioning). Also occurs if we try delete or update a row that does not exist.
Note that this exception often indicates that the user failed to specify the correct `unsaved-value` strategy for a class!

See Also:
  `StaleObjectStateException`, Serialized Form

Constructor Summary
`StaleStateException(String s)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StaleStateException

    public StaleStateException(String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.